version: '3'

services:
  server:
    image: consul
    environment:
      - 'CONSUL_LOCAL_CONFIG={"skip_leave_on_interrupt": true}'
    command: 'agent -server -ui -client=0.0.0.0 -bind={{ host_ipv4 }} -retry-join={{ host_ipv4 }} -bootstrap-expect=1'
    ports:
      - "8300:8300"
      - "8301-8302:8301-8302"
      - "8301-8302:8301-8302/udp"
      - "8500:8500"
      - "8600:8600"
      - "8600:8600/udp"
    volumes:
      - default:/consul/data
    network_mode: host
    restart: on-failure

volumes:
  default:
